org.jboss.resteasy.plugins.server.netty

## Class RequestDispatcher

- java.lang.Object
- - org.jboss.resteasy.plugins.server.netty.RequestDispatcher

- Direct Known Subclasses:
    CdiRequestDispatcher

      public class RequestDispatcher
      extends Object

  Helper/delegate class to unify Servlet and Filter dispatcher implementations
  Version:
    $Revision: 1 $
  Author:
    Bill Burke, Norman Maurer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SynchronousDispatcher` | `dispatcher`
    `protected SecurityDomain` | `domain`
    `protected ResteasyProviderFactory` | `providerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestDispatcher(SynchronousDispatcher dispatcher, ResteasyProviderFactory providerFactory, SecurityDomain domain)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SynchronousDispatcher` | `getDispatcher()`
    `SecurityDomain` | `getDomain()`
    `ResteasyProviderFactory` | `getProviderFactory()`
    `void` | `service(org.jboss.netty.channel.ChannelHandlerContext ctx, HttpRequest request, HttpResponse response, boolean handleNotFound)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dispatcher

          protected final SynchronousDispatcher dispatcher

    - #### providerFactory

          protected final ResteasyProviderFactory providerFactory

    - #### domain

          protected final SecurityDomain domain

  - ### Constructor Detail

    - #### RequestDispatcher

          public RequestDispatcher(SynchronousDispatcher dispatcher,
                           ResteasyProviderFactory providerFactory,
                           SecurityDomain domain)

  - ### Method Detail

    - #### getDispatcher

          public SynchronousDispatcher getDispatcher()

    - #### getDomain

          public SecurityDomain getDomain()

    - #### getProviderFactory

          public ResteasyProviderFactory getProviderFactory()

    - #### service

          public void service(org.jboss.netty.channel.ChannelHandlerContext ctx,
                     HttpRequest request,
                     HttpResponse response,
                     boolean handleNotFound)
                       throws IOException

      Throws:
        `IOException`

Copyright © 2014. All Rights Reserved.